#!/bin/bash

# Copyright 2002 Compaq Information Technologies Group, L.P.
#

LOGFILE=/var/spool/compaq/cma.log

#NAME="agent name"
#PNAME="cmaagentd"
#PFLAGS=

chkhttpserverconfig () {
  unset HPWEBSETUP
  if [ -x /opt/compaq/foundation/etc/hpwebsetup ]; then
    /opt/compaq/foundation/etc/hpwebsetup -q: >/dev/null 2>&1
    if [ $? != 4 ]; then
      cmaerr "ERROR: Can't start the Web agent. HP HTTP server must be configured"
      cmaerr "       first. The minimum configuration required is the \"administrator\""
      cmaerr "       password which can be configured with following command:"
      cmaerr "       /opt/compaq/foundation/etc/hpwebsetup -pA:'yourpasswd' -f"
    fi
  fi
  return 0
}

cmaerr () {
  echo "  " $* >&2
  echo "  " $* >>$LOGFILE 2>&1
}

cmaecho () {
  echo "  " $*
  echo "  " $* >>$LOGFILE 2>&1
}

cmaechon () {
  echo -n "  " $*
  echo -n "  " $* >>$LOGFILE 2>&1
}
        
. /etc/rc.config
RETVAL=0
PATH=/opt/compaq/foundation/bin:/opt/compaq/server/bin:$PATH
case "$1" in
  start)
	$STARTADDON	
	cmaechon "Starting $NAME ($PNAME): "
	pidlist=`pidof -o $$ $PNAME`
	if [ -z "$pidlist" ]; then
	  $PNAME $PFLAGS < /dev/null >> $LOGFILE 2>&1 &
	  RETVAL=$?
	else
	  RETVAL=1
	fi
	cmaecho
	;;
  stop)
	$STOPADDON
	cmaechon "Shutting down $NAME ($PNAME): "
	killproc $PNAME 2>/dev/null
	RETVAL=$?
	cmaecho
	;;
  restart)
	$0 stop
	$0 start
	RETVAL=$?
	;;
  status)
	echo -n "Checking for $PNAME: "
	/sbin/checkproc $PNAME && echo OK || echo No process
	RETVAL=$?
	;;
  *)
	cmaecho "Usage: $PNAME {start|stop|restart|status}"
	exit 1
esac

exit $RETVAL
